> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update tab settings

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/settings/tabs
Content-Type: application/json

This method modifies the tab types and tab functionality that is enabled for an account.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/accounts/accounttabsettings/update

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Body (application/json)

This endpoint expects a tabAccountSettings.

- `allowTabOrder` (string, optional) — When **true,** account users can set a tab order for the signing process. **Note:** Only Admin users can change this setting.
- `allowTabOrderMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `approveDeclineTabsEnabled` (string, optional) — When **true,** approve and decline tabs are enabled.
- `approveDeclineTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `calculatedFieldsEnabled` (string, optional) — When **true,** [calculated fields](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=crs1578456361259.html) are enabled for tabs.
- `calculatedFieldsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `checkboxTabsEnabled` (string, optional) — When **true,** checkbox tabs are enabled.
- `checkBoxTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `dataFieldRegexEnabled` (string, optional) — When **true,** regular expressions are enabled for tabs that contain data fields.
- `dataFieldRegexMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `dataFieldSizeEnabled` (string, optional) — When **true,** setting character limits for input fields is enabled.
- `dataFieldSizeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `drawTabsEnabled` (string, optional)
- `drawTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableTabAgreementDetails` (string, optional)
- `enableTabAgreementDetailsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `firstLastEmailTabsEnabled` (string, optional) — Reserved for Docusign.
- `firstLastEmailTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `listTabsEnabled` (string, optional) — When **true,** list tabs are enabled.
- `listTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `noteTabsEnabled` (string, optional) — When **true,** note tabs are enabled.
- `noteTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `numericalTabsEnabled` (string, optional)
- `numericalTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `prefillTabsEnabled` (string, optional)
- `prefillTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `radioTabsEnabled` (string, optional) — When **true,** radio button tabs are enabled.
- `radioTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `savingCustomTabsEnabled` (string, optional) — When **true,** saving custom tabs is enabled.
- `savingCustomTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `senderToChangeTabAssignmentsEnabled` (string, optional) — Reserved for Docusign.
- `senderToChangeTabAssignmentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `sharedCustomTabsEnabled` (string, optional) — When **true,** shared custom tabs are enabled.
- `sharedCustomTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabDataLabelEnabled` (string, optional) — When **true,** [data labels](https://support.docusign.com/en/videos/Data-Labels) are enabled. **Note:** Only Admin users can change this setting.
- `tabDataLabelMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabLocationEnabled` (string, optional) — Reserved for Docusign.
- `tabLocationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabLockingEnabled` (string, optional) — When **true,** tab locking is enabled. **Note:** Only Admin users can change this setting.
- `tabLockingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabScaleEnabled` (string, optional) — Reserved for Docusign.
- `tabScaleMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabTextFormattingEnabled` (string, optional) — When **true,** text formatting (such as font type, font size, font color, bold, italic, and underline) is enabled for tabs that support formatting. **Note:** This property is read-only and cannot be used to be update the account settings
- `tabTextFormattingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `textTabsEnabled` (string, optional) — When **true,** text tabs are enabled.
- `textTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `uriTabsEnabled` (string, optional)
- `uriTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

## Response

### 200

Successful response.

- `allowTabOrder` (string, optional) — When **true,** account users can set a tab order for the signing process. **Note:** Only Admin users can change this setting.
- `allowTabOrderMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `approveDeclineTabsEnabled` (string, optional) — When **true,** approve and decline tabs are enabled.
- `approveDeclineTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `calculatedFieldsEnabled` (string, optional) — When **true,** [calculated fields](https://support.docusign.com/s/document-item?bundleId=gbo1643332197980&topicId=crs1578456361259.html) are enabled for tabs.
- `calculatedFieldsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `checkboxTabsEnabled` (string, optional) — When **true,** checkbox tabs are enabled.
- `checkBoxTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `dataFieldRegexEnabled` (string, optional) — When **true,** regular expressions are enabled for tabs that contain data fields.
- `dataFieldRegexMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `dataFieldSizeEnabled` (string, optional) — When **true,** setting character limits for input fields is enabled.
- `dataFieldSizeMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `drawTabsEnabled` (string, optional)
- `drawTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `enableTabAgreementDetails` (string, optional)
- `enableTabAgreementDetailsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `firstLastEmailTabsEnabled` (string, optional) — Reserved for Docusign.
- `firstLastEmailTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `listTabsEnabled` (string, optional) — When **true,** list tabs are enabled.
- `listTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `noteTabsEnabled` (string, optional) — When **true,** note tabs are enabled.
- `noteTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `numericalTabsEnabled` (string, optional)
- `numericalTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `prefillTabsEnabled` (string, optional)
- `prefillTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `radioTabsEnabled` (string, optional) — When **true,** radio button tabs are enabled.
- `radioTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `savingCustomTabsEnabled` (string, optional) — When **true,** saving custom tabs is enabled.
- `savingCustomTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `senderToChangeTabAssignmentsEnabled` (string, optional) — Reserved for Docusign.
- `senderToChangeTabAssignmentsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `sharedCustomTabsEnabled` (string, optional) — When **true,** shared custom tabs are enabled.
- `sharedCustomTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabDataLabelEnabled` (string, optional) — When **true,** [data labels](https://support.docusign.com/en/videos/Data-Labels) are enabled. **Note:** Only Admin users can change this setting.
- `tabDataLabelMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabLocationEnabled` (string, optional) — Reserved for Docusign.
- `tabLocationMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabLockingEnabled` (string, optional) — When **true,** tab locking is enabled. **Note:** Only Admin users can change this setting.
- `tabLockingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabScaleEnabled` (string, optional) — Reserved for Docusign.
- `tabScaleMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `tabTextFormattingEnabled` (string, optional) — When **true,** text formatting (such as font type, font size, font color, bold, italic, and underline) is enabled for tabs that support formatting. **Note:** This property is read-only and cannot be used to be update the account settings
- `tabTextFormattingMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `textTabsEnabled` (string, optional) — When **true,** text tabs are enabled.
- `textTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.
- `uriTabsEnabled` (string, optional)
- `uriTabsMetadata` (settingsMetadata, optional) — Metadata that indicates whether a property is editable and describes setting-specific options.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### settingsMetadata

Metadata that indicates whether a property is editable and describes setting-specific options.

- `is21CFRPart11` (string, optional) — When **true,** indicates compliance with United States Food and Drug Administration (FDA) regulations on electronic records and electronic signatures (ERES).
- `options` (list of string, optional) — An array of option strings supported by this setting.
- `rights` (string, optional) — Indicates whether the property is editable. Valid values are: - `editable` - `read_only`
- `uiHint` (string, optional) — Reserved for Docusign.
- `uiOrder` (string, optional) — Reserved for Docusign.
- `uiType` (string, optional) — Reserved for Docusign.

## Examples

**Request**

```json
{
  "allowTabOrder": "sample string 1",
  "allowTabOrderMetadata": {
    "is21CFRPart11": "sample string 1",
    "options": [
      "sample string 1"
    ],
    "rights": "sample string 2",
    "uiHint": "sample string 3",
    "uiOrder": "sample string 4",
    "uiType": "sample string 5"
  },
  "approveDeclineTabsEnabled": "sample string 2",
  "calculatedFieldsEnabled": "sample string 3",
  "checkboxTabsEnabled": "sample string 4",
  "dataFieldRegexEnabled": "sample string 5",
  "dataFieldSizeEnabled": "sample string 6",
  "drawTabsEnabled": "sample string 7",
  "enableTabAgreementDetails": "sample string 8",
  "firstLastEmailTabsEnabled": "sample string 9",
  "listTabsEnabled": "sample string 10",
  "noteTabsEnabled": "sample string 11",
  "numericalTabsEnabled": "sample string 12",
  "prefillTabsEnabled": "sample string 13",
  "radioTabsEnabled": "sample string 14",
  "savingCustomTabsEnabled": "sample string 15",
  "senderToChangeTabAssignmentsEnabled": "sample string 16",
  "sharedCustomTabsEnabled": "sample string 17",
  "tabDataLabelEnabled": "sample string 18",
  "tabLocationEnabled": "sample string 19",
  "tabLockingEnabled": "sample string 20",
  "tabScaleEnabled": "sample string 21",
  "tabTextFormattingEnabled": "sample string 22",
  "textTabsEnabled": "sample string 23",
  "uriTabsEnabled": "sample string 24"
}
```

**Response**

```json
{
  "allowTabOrder": "sample string 1",
  "allowTabOrderMetadata": {
    "is21CFRPart11": "sample string 1",
    "options": [
      "sample string 1"
    ],
    "rights": "sample string 2",
    "uiHint": "sample string 3",
    "uiOrder": "sample string 4",
    "uiType": "sample string 5"
  },
  "approveDeclineTabsEnabled": "sample string 2",
  "calculatedFieldsEnabled": "sample string 3",
  "checkboxTabsEnabled": "sample string 4",
  "dataFieldRegexEnabled": "sample string 5",
  "dataFieldSizeEnabled": "sample string 6",
  "drawTabsEnabled": "sample string 7",
  "enableTabAgreementDetails": "sample string 8",
  "firstLastEmailTabsEnabled": "sample string 9",
  "listTabsEnabled": "sample string 10",
  "noteTabsEnabled": "sample string 11",
  "numericalTabsEnabled": "sample string 12",
  "prefillTabsEnabled": "sample string 13",
  "radioTabsEnabled": "sample string 14",
  "savingCustomTabsEnabled": "sample string 15",
  "senderToChangeTabAssignmentsEnabled": "sample string 16",
  "sharedCustomTabsEnabled": "sample string 17",
  "tabDataLabelEnabled": "sample string 18",
  "tabLocationEnabled": "sample string 19",
  "tabLockingEnabled": "sample string 20",
  "tabScaleEnabled": "sample string 21",
  "tabTextFormattingEnabled": "sample string 22",
  "textTabsEnabled": "sample string 23",
  "uriTabsEnabled": "sample string 24"
}
```